%global __provides_exclude ^hexchat-gnome-away\\.so.*$

Name:           hexchat-gnome-away
Version:        0.1
Release:        1%{?dist}
Summary:        GNOME ScreenSaver auto-away Hexchat plugin 

Group:          Applications/Internet
License:        GPLv3+
URL:            https://github.com/lkundrak/hexchat-gnome-away
Source0:        https://github.com/lkundrak/hexchat-gnome-away/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc make
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(hexchat-plugin)
Requires:       hexchat

%description
This is a simple Hexchat plugin, that marks you away while your GNOME desktop 
screensaver is active.


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot}


%files
%{_libdir}/hexchat/plugins/hexchat-gnome-away.so
%license COPYING
%doc README


%changelog
* Fri Jan 06 2017 Lubomir Rintel <lkundrak@v3.sk> - 0.1-1
- Initial packaging
